
<!-- README.md is generated from README.Rmd. Please edit that file -->

# ProbBreed

<!-- badges: start -->

[![R-CMD-check](https://github.com/saulo-chaves/ProbSup/actions/workflows/R-CMD-check.yaml/badge.svg)](https://github.com/saulo-chaves/ProbBreed/actions/workflows/R-CMD-check.yaml)
[![Build
status](https://ci.appveyor.com/api/projects/status/eeu30dhkhiper85g?svg=true)](https://ci.appveyor.com/project/saulo-chaves/probbreed)
[![Lifecycle:
stable](https://img.shields.io/badge/lifecycle-stable-brightgreen.svg)](https://lifecycle.r-lib.org/articles/stages.html#stable)
<!-- badges: end -->

ProbBreed employs Bayesian statistics to analyse multi-environment
trials’ data, and uses its outputs to estimate the marginal and pairwise
probabilities of superior performance and superior stability of the
genotypes, as well as their conditional probability of superior
performance. The method is thoroughly described at
<https://doi.org/10.1007/s00122-022-04041-y>.

## Installation

You can install the development version of ProbBreed from
[GitHub](https://github.com/) with:

``` r
# install.packages("devtools")
devtools::install_github("saulo-chaves/ProbBreed", build_vignettes = T)
```

## Usage

A basic workflow using the available data is:

``` r
library(ProbBreed)

mod = bayes_met(data = soy,
                gen = "Gen",
                env = "Env",
                repl = NULL,
                reg = "Reg",
                res.het = F,
                trait = "Y",
                iter = 2000, cores = 1, chains = 4)

outs = extr_outs(data = soy, trait = "Y", gen = "Gen", model = mod,
                 effects = c('l','g','gl','m','gm'),
                 nenv = length(unique(soy$Env)),
                 probs = c(0.05, 0.95), check.stan.diag = TRUE)

results = prob_sup(data = soy, trait = "Y", gen = "Gen", env = "Env",
                   mod.output = outs, reg = 'Reg', int = .2,
                   increase = T, save.df = T, interactive = T)
```
